### Signal

# Soup WebsocketConnection::closed

#### Declaration

    void
    closed (
      SoupWebsocketConnection* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the connection has completely closed.

This happens either due to an orderly close from the peer, one initiated via `soup_websocket_connection_close()` or a fatal error condition that caused a close.

This signal will be emitted once.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.